org.keycloak.social.openshift

## Class OpenshiftV3IdentityProviderFactory

- java.lang.Object
- - org.keycloak.broker.provider.AbstractIdentityProviderFactory<OpenshiftV3IdentityProvider>
  - - org.keycloak.social.openshift.OpenshiftV3IdentityProviderFactory

- All Implemented Interfaces:
    IdentityProviderFactory<OpenshiftV3IdentityProvider>, SocialIdentityProviderFactory<OpenshiftV3IdentityProvider>, ProviderFactory<OpenshiftV3IdentityProvider>

      public class OpenshiftV3IdentityProviderFactory
      extends AbstractIdentityProviderFactory<OpenshiftV3IdentityProvider>
      implements SocialIdentityProviderFactory<OpenshiftV3IdentityProvider>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenshiftV3IdentityProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OpenshiftV3IdentityProvider` | `create(KeycloakSession keycloakSession, IdentityProviderModel identityProviderModel)` Creates an `IdentityProvider` based on the configuration contained in `model`.
    `OpenshiftV3IdentityProviderConfig` | `createConfig()` Creates a provider specific `IdentityProviderModel` instance.
    `String` | `getId()`
    `String` | `getName()` A friendly name for this factory.

    - ### Methods inherited from class org.keycloak.broker.provider.AbstractIdentityProviderFactory

      `close, create, init, parseConfig, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.broker.provider.IdentityProviderFactory

      `parseConfig`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `close, create, init, order, postInit`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OpenshiftV3IdentityProviderFactory

          public OpenshiftV3IdentityProviderFactory()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `IdentityProviderFactory`

      A friendly name for this factory.

      Specified by:
        `getName` in interface `IdentityProviderFactory<OpenshiftV3IdentityProvider>`
      Returns:

    - #### create

          public OpenshiftV3IdentityProvider create(KeycloakSession keycloakSession,
                                                    IdentityProviderModel identityProviderModel)

      Description copied from interface: `IdentityProviderFactory`

      Creates an `IdentityProvider` based on the configuration contained in `model`.

      Specified by:
        `create` in interface `IdentityProviderFactory<OpenshiftV3IdentityProvider>`
        `identityProviderModel` - The configuration to be used to create the identity provider.
      Returns:

    - #### createConfig

          public OpenshiftV3IdentityProviderConfig createConfig()

      Description copied from interface: `IdentityProviderFactory`

      Creates a provider specific `IdentityProviderModel` instance.

      Providers may want to implement their own `IdentityProviderModel` type so that validations can be performed when managing the provider configuration

      Specified by:
        `createConfig` in interface `IdentityProviderFactory<OpenshiftV3IdentityProvider>`
      Returns:
        the provider specific instance

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<OpenshiftV3IdentityProvider>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.